"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = require("ava");
const request = require("supertest");
const sandbox_1 = require("../../core/sandbox");
const sandbox = new sandbox_1.Sandbox();
ava_1.default.before(() => __awaiter(this, void 0, void 0, function* () {
    yield sandbox.listen(8911);
}));
ava_1.default.after(() => __awaiter(this, void 0, void 0, function* () {
    sandbox.close();
}));
ava_1.default('server listens for requests', (t) => __awaiter(this, void 0, void 0, function* () {
    const res = yield request('http://localhost:8911').get('/').catch((e) => e.response);
    t.is(res.status, 400);
}));
ava_1.default('creates a sandbox Web3 provider', (t) => __awaiter(this, void 0, void 0, function* () {
    const res = sandbox_1.Sandbox.createProvider();
    t.true(!!res);
}));
//# sourceMappingURL=sandbox.test.js.map